﻿@{
    ViewBag.Title = "Operation";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
<script src="~/Content/ThemeMedical/js/jquery-2.2.3.min.js"></script>

<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>
            Jinnah Hospital
            <small>Operation Information</small>
        </h1>
        <ol class="breadcrumb">
            <li><a href="/AdminHome/Index"><i class="fa fa-dashboard"></i> Home</a></li>
            <li class="active">Dashboard</li>
        </ol>
    </section>
    <!-- Main content -->
    <section class="content">

        <div class="box box-info">
            <div class="box-header with-border">
                <i class="fa fa-pagelines"></i>
                <h3 class="box-title">Fill Data carefully</h3>

            </div>
            <form class="form-horizontal">
                <div class="box-body">

                    <div class="form-group">
                        <label for="inputTreatment" class="col-sm-2 control-label">Enter Treatment</label>

                        <div class="col-sm-10">
                            <input type="text" class="form-control" id="inputTreatment" placeholder="Enter ...">
                        </div>
                    </div>
                 
                    <div class="form-group">
                        <label for="InputdocID" class="col-sm-2 control-label">Select Doctor </label>
                        <div class="col-sm-5">
                            <select class="form-control" id="InputdocID">
                               

                            </select>
                        </div>
                    </div>
                  
                    <div class="form-group">
                        <label for="InputPatientCondition" class="col-sm-2 control-label">Select Condition of Patient</label>
                        <div class="col-sm-5">
                            <select class="form-control" id="InputPatientCondition">
                                <option>Stable</option>
                                <option>Critical</option>
                                <option>Serious</option>
                                <option>Dangerous</option>
                             </select>
                        </div>
                    </div>
                   
                    <div class="form-group">
                        <label for="InputOprType" class="col-sm-2 control-label">Select Type of Operation</label>
                        <div class="col-sm-5">
                            <select class="form-control" id="InputOprType">
                                <option>Arthroscopy</option>
                                <option>Burn Excision/Debridement.</option>
                                <option>Cataract Surgery</option>
                                <option>Caesarean Section</option>
                                <option>Circumcision</option>
                                <option>Dental Restoration</option>
                                <option>Gastric Bypass</option>
                              </select>
                        </div>
                    </div>
                    
                    <div class="form-group">
                        <label for="InputInPID" class="col-sm-2 control-label">Select InPatient ID</label>
                        <div class="col-sm-5">
                            <select class="form-control" id="InputInPID">
                               
                            </select>
                        </div>
                    </div>
                   

                    <div class="box-footer">
                        <button style="margin-left: 30px" type="button" class="col-sm-1 btn btn-info pull-right" onclick="AddOperationData()">Save</button>

                        <button type="submit" class="col-sm-1 btn btn-default pull-right">Cancel</button>
                    </div>
                </div>

            </form>

        </div>

    </section>
</div>
<script>
    function AddOperationData() {
        debugger;
        var Treatment = $('#inputTreatment').val();
        var docID = $('#InputdocID :selected').attr('id');
        var PatientCondition = $('#InputPatientCondition :selected').val();
        var OprType = $('#InputOprType :selected').val();
        var InPID = $('#InputInPID :selected').attr('id');

        $.ajax({
            url: '@Url.Action("AddOperation", "AHMS")',
            type: "POST",
            dataType: "json",
            data: JSON.stringify({ Treatment: Treatment, docID: docID, PatientCondition: PatientCondition, OprType: OprType, InPID: InPID }),
            contentType: "application/json; charset=utf-8",
            success: function (data) {
                if (data.status == "success") {
                    debugger;

                    swal(data.message, "", "success");
                }
            },
            error: function (xhr) {
                alert(xhr.responseText);
            }
        });

    }
</script>

<!--pop up the dropdowns-->
<script>
    $(document).ready(function () {
       // alert("asd");
        $.ajax({
            url: '@Url.Action("GetAllDoctorsData", "AHMS")',
            type: "POST",
            dataType: "json",
            traditional: "true",
            contentType: "application/json; charset=utf-8",
            success: function (data) {
                if (data.status == "success") {
                    debugger;
                    var list  = data.message;

                    for (i = 0; i < list.length; i++) {
                        $('#InputdocID').append('<option id=' + list[i].docno + ' value=' + list[i].docname + ' >' + list[i].docname + '  </option>');
                    }


                }
            },
            error: function (xhr) {
                alert(xhr.responseText);
            }
        });

    });
</script>


<script>
    $(document).ready(function () {
       // alert("asd");
        $.ajax({
            url: '@Url.Action("DischargeDataPatient", "AHMS")',
            type: "POST",
            dataType: "json",
            traditional: "true",
            contentType: "application/json; charset=utf-8",
            success: function (data) {
                if (data.status == "success") {
                    debugger;
                    var InPatient = data.InPat;
                   
                    for (i = 0; i < InPatient.length; i++) {
                        $('#InputInPID').append('<option id=' + InPatient[i].pid + ' value=' + InPatient[i].pname + ' >' + InPatient[i].pname + '  </option>');
                    }

                   


                }
            },
            error: function (xhr) {
                alert(xhr.responseText);
            }
        });

    });
</script>